from pymongo import MongoClient
from flask_jwt_extended import JWTManager
from flask_redis import FlaskRedis

jwt = JWTManager()

redis_client = FlaskRedis()

def init_mongo(app):
    app.mongo_client = MongoClient(app.config["MONGO_URI"])

def init_redis(app):
    redis_client.init_app(app)

def init_jwt(app):
    jwt.init_app(app)